| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends
openni::VideoStream::FrameAllocator Class Reference

`#include <OpenNI.h>`

List of all members.

## Public Member Functions

virtual | ~FrameAllocator ()
virtual void * | allocateFrameBuffer (int size)=0
virtual void | freeFrameBuffer (void *data)=0

## Friends

class | VideoStream

## Constructor & Destructor Documentation

virtual openni::VideoStream::FrameAllocator::~FrameAllocator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void* openni::VideoStream::FrameAllocator::allocateFrameBuffer | ( | int | size | ) | `[pure virtual]`

virtual void openni::VideoStream::FrameAllocator::freeFrameBuffer | ( | void * | data | ) | `[pure virtual]`

## Friends And Related Function Documentation

friend class VideoStream `[friend]`

The documentation for this class was generated from the following file:

- OpenNI.h